package main

import (
	"log"
	"net/http"
)

func main() {
	log.SetFlags(log.Ltime)

	http.HandleFunc("/stream", StreamHandler)

	log.Println("serving on port 8080...")
	log.Fatal(http.ListenAndServe(":8080", nil))

}

func StreamHandler(w http.ResponseWriter, r *http.Request) {
	w.Header().Add("Content-Type", "text/event-stream")
	w.Header().Add("Grip-Hold", "stream")
	w.Header().Add("Grip-Channel", "test")
}

/*func NoPushpinHandler(w http.ResponseWriter, r *http.Request) {*/
/*// prepare the header*/
/*w.Header().Set("Content-Type", "text/event-stream")*/
/*w.Header().Set("Cache-Control", "no-cache")*/
/*w.Header().Set("Connection", "keep-alive")*/
/*w.Header().Set("Access-Control-Allow-Origin", "*")*/

/*flusher, _ := w.(http.Flusher)*/

/*ticker := time.NewTicker(5 * time.Second)*/
/*defer ticker.Stop()*/

/*for {*/
/*<-ticker.C*/

/*fmt.Fprintln(w, "hello world")*/
/*log.Println("wrote message")*/
/*flusher.Flush()*/
/*}*/

/*}*/
